using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Telerik.Reporting.Service;
using Telerik.Reporting.Examples.CSharp;
using System.Runtime.Serialization;
using System.ServiceModel.Activation;

namespace CSharp.SilverlightDemo.Web
{
    [KnownType(typeof(object[]))]
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Required)]
    public class MyReportService
        : Telerik.Reporting.Service.ReportService, Telerik.Reporting.Service.IReportService
    {
        IList<ReportInfo> IReportService.ListAvailableReports()
        {
            return new List<ReportInfo>() {
                new ReportInfo
                {
                    Name = "Barcodes Report",
                    FullName = typeof(BarcodesReport).AssemblyQualifiedName,
                    Description = "MyReportService.ListAvailableReports test"
                }
            };
        }
    }
}